 
    /* Reset some defaults */
    * {
      margin: 0;
      padding: 0;
      box-sizing: border-box;
    }

   html {
  scroll-behavior: smooth;
}

    body {
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
      line-height: 1.5;
      min-height: 1350vh; /* Just to allow scrolling */
    }

    /* Navbar Styles */
    nav {
      width: 100%;
      background: hsl(42, 100%, 51%,0.9);
      padding: 10px 25px;
      position: sticky;
      top: 0;
      z-index: 1000;
  
      box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    }

  .active, .nav-links a:hover {
  background-color: skyblue;border radius:25%;
   
 }

    .nav-micontainer {
      max-width: 1800px;
      margin: auto;
      display: flex;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;
    }
      

    .mybrand {
       font-family: Tahoma, Verdana, sans-serif;
     -webkit-text-stroke: 0.2px white;
      font-size: 23px;
      font-weight: bold;
      color: #1928ff;
      text-decoration: none;
    }

    .nav-links {
      display: flex;
      align-items: center;
      gap: 25px;
      
    }

    .nav-links a {
      text-decoration: none;
      color: black;
      font-weight: 900;
      transition: color 0.3s;
    }

    .nav-links a:hover {
      color: #007bff;
    }

    .contact {
      display: flex;
      align-items: center;
      gap: 10px;
      font-weight: bold;
      font-weight: 800;
      font-size: 15px;
      color: blue;
    }
    .social-icons a {
      margin-left: 10px;
      color: #555;
      text-decoration: none;
      transition: color 0.3s;
      font-size: 18px;
    }

    .social-icons a:hover {
      color: #007bff;
    }

    /* Responsive */
    @media (max-width: 768px) {
    body {
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
      line-height: 2;
      min-height: 1950vh; /* Just to allow scrolling */
    }

      .nav-links {
        flex-direction: column;
        width: 100%;
        display: none;
      }
      
      .nav-links.active {
        display: flex;
      }

      .menu-toggle {
        display: block;
        cursor: pointer;
        font-size: 24px;
      }
    }

    @media (min-width: 769px) {
      .menu-toggle {
        display: none;
      }
    }
 